org.apache.hadoop.hdfs.server.namenode.snapshot

## Interface SnapshotStatsMXBean

- All Known Implementing Classes:
    SnapshotManager

      public interface SnapshotStatsMXBean

  This is an interface used to retrieve statistic information related to snapshots

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SnapshotInfo.Bean[]` | `getSnapshots()` Return the list of snapshots
    `org.apache.hadoop.hdfs.protocol.SnapshottableDirectoryStatus.Bean[]` | `getSnapshottableDirectories()` Return the list of snapshottable directories

- - ### Method Detail

    - #### getSnapshottableDirectories

          org.apache.hadoop.hdfs.protocol.SnapshottableDirectoryStatus.Bean[] getSnapshottableDirectories()

      Return the list of snapshottable directories
      Returns:
        the list of snapshottable directories

    - #### getSnapshots

          SnapshotInfo.Bean[] getSnapshots()

      Return the list of snapshots
      Returns:
        the list of snapshots

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.